using System;

using Windows.Graphics;

using Microsoft.UI;
using Microsoft.UI.Windowing;
using Microsoft.UI.Xaml;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainWindow()

        /// <summary>
        /// 
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            AppWindow appWindow = GetAppWindow(this);

            appWindow.Resize(new SizeInt32 { Width = 800, Height = 600 }); //  ũ

            appWindow.Move(new PointInt32(100, 200)); //  ġ

            OverlappedPresenter presenter = appWindow.Presenter as OverlappedPresenter;

            presenter.IsMinimizable = false; // ּȭ  
            presenter.IsMaximizable = false; // ִȭ  
            presenter.IsResizable   = false; // ũ   
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region   ϱ - GetAppWindow(window)

        /// <summary>
        ///   ϱ
        /// </summary>
        /// <param name="window"></param>
        /// <returns> </returns>
        private AppWindow GetAppWindow(Window window)
        {
            IntPtr windowHandle = WinRT.Interop.WindowNative.GetWindowHandle(window);

            WindowId windowID = Win32Interop.GetWindowIdFromWindow(windowHandle);

            AppWindow appWindow = AppWindow.GetFromWindowId(windowID);

            return appWindow;
        }

        #endregion
    }
}